org.h2.security.auth

## Class AuthenticatorFactory

- java.lang.Object
- - org.h2.security.auth.AuthenticatorFactory

    public class AuthenticatorFactory
    extends java.lang.Object

Authenticator factory

### Constructor Summary

Constructors
Constructor and Description
`AuthenticatorFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Authenticator` `createAuthenticator()` Factory method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthenticatorFactory

    public AuthenticatorFactory()

### Method Detail

#### createAuthenticator

    public static Authenticator createAuthenticator()

Factory method.

Returns:
  authenticator instance.